Bug 835961 - [rhevm] Advanced NFS options: configuration is not kept when using import storage domain
[rhevm] Advanced NFS options: configuration is not kept when using import sto...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: 3.1.0
Assigned To: Oved Ourfali
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 12:40 EDT by Haim
Modified: 2016-02-10 11:44 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:04:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-06-27 12:40:39 EDT
Description of problem:

my case:

- import storage domain (NFS, ISO)
- on Advanced NFS Options, chose V3, timeo=60, rertns=1
- make an attempt to import the storage
- attempt successful

I check mount on host and I don't see my configureable opts:

qanashead.qa.lab.tlv.redhat.com:/export/shared_iso_domain on /rhev/data-center/mnt/qanashead.qa.lab.tlv.redhat.com:_export_shared__iso__domain type nfs (rw,soft,nosharecache,timeo=600,retrans=6,vers=4,addr=10.35.64.28,clientaddr=10.35.115.10)

I check data-base and I don't see my configurable opts:

engine=# SELECT id,connection, storage_type,mount_options,nfs_version,nfs_timeo,nfs_retrans from storage_server_connections where id = '171f6f47-438d-473f-aabe-4e9c44386ee6';
                  id                  |                        connection                         | storage_type | mount_options | nfs_version | nfs_timeo | nfs_retrans 
--------------------------------------+-----------------------------------------------------------+--------------+---------------+-------------+-----------+-------------
 171f6f47-438d-473f-aabe-4e9c44386ee6 | qanashead.qa.lab.tlv.redhat.com:/export/shared_iso_domain |            1 |               |             |           |            
(1 row)


I suspect web-admin doesn't send the params as (1) I don't see it in the engine logs, (2) i don't see it in the data-base:

2012-06-27 22:04:49,334 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ValidateStorageServerConnectionVDSCommand] (ajp-/0.0.0.0:8009-4) [4cbddaa9] START, ValidateStorageServer
ConnectionVDSCommand(vdsId = 1d1d51f4-bee2-11e1-a36f-001a4a16970e, storagePoolId = 00000000-0000-0000-0000-000000000000, storageType = NFS, connectionList = [{ id: null, connect
ion: qanashead.qa.lab.tlv.redhat.com:/export/shared_iso_domain };]), log id: 7204626d
2012-06-27 22:04:49,351 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ValidateStorageServerConnectionVDSCommand] (ajp-/0.0.0.0:8009-4) [4cbddaa9] FINISH, ValidateStorageServe
rConnectionVDSCommand, return: {00000000-0000-0000-0000-000000000000=0}, log id: 7204626d
2012-06-27 22:04:49,363 INFO  [org.ovirt.engine.core.bll.storage.ConnectStorageToVdsCommand] (ajp-/0.0.0.0:8009-4) [4cbddaa9] Running command: ConnectStorageToVdsCommand interna
l: false. Entities affected :  ID: aaa00000-0000-0000-0000-123456789aaa Type: System
2012-06-27 22:04:49,364 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ConnectStorageServerVDSCommand] (ajp-/0.0.0.0:8009-4) [4cbddaa9] START, ConnectStorageServerVDSCommand(v
dsId = 1d1d51f4-bee2-11e1-a36f-001a4a16970e, storagePoolId = 00000000-0000-0000-0000-000000000000, storageType = NFS, connectionList = [{ id: null, connection: qanashead.qa.lab.
tlv.redhat.com:/export/shared_iso_domain };]), log id: 6061c046
2012-06-27 22:04:49,532 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ConnectStorageServerVDSCommand] (ajp-/0.0.0.0:8009-4) [4cbddaa9] FINISH, ConnectStorageServerVDSCommand,
 return: {00000000-0000-0000-0000-000000000000=0}, log id: 6061c046
2012-06-27 22:04:49,727 INFO  [org.ovirt.engine.core.bll.storage.GetExistingStorageDomainListQuery] (ajp-/0.0.0.0:8009-10) START, GetExistingStorageDomainListQuery(org.ovirt.eng
ine.core.common.queries.GetExistingStorageDomainListParameters@116dbea0), log id: 338d8a39
2012-06-27 22:04:49,742 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetStorageDomainsListVDSCommand] (ajp-/0.0.0.0:8009-10) START, HSMGetStorageDomainsListVDSCommand(vds
Id = 1d1d51f4-bee2-11e1-a36f-001a4a16970e, storagePoolId=00000000-0000-0000-0000-000000000000, storageType=NFS, storageDomainType=ISO, path=qanashead.qa.lab.tlv.redhat.com:/expo
rt/shared_iso_domain), log id: 4691ae08
2012-06-27 22:04:51,842 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetStorageDomainsListVDSCommand] (ajp-/0.0.0.0:8009-10) FINISH, HSMGetStorageDomainsListVDSCommand, r
eturn: [2612f0b2-8310-4d1f-adba-b708eb95f5cf], log id: 4691ae08
2012-06-27 22:04:51,927 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetStorageDomainInfoVDSCommand] (ajp-/0.0.0.0:8009-10) START, HSMGetStorageDomainInfoVDSCommand(vdsId
 = 1d1d51f4-bee2-11e1-a36f-001a4a16970e, storageDomainId=2612f0b2-8310-4d1f-adba-b708eb95f5cf), log id: 6b1c4d5
2012-06-27 22:04:51,955 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetStorageDomainInfoVDSCommand] (ajp-/0.0.0.0:8009-10) FINISH, HSMGetStorageDomainInfoVDSCommand, ret
urn: org.ovirt.engine.core.utils.Pair@cda9de2b, log id: 6b1c4d5
2012-06-27 22:04:51,956 INFO  [org.ovirt.engine.core.bll.storage.GetExistingStorageDomainListQuery] (ajp-/0.0.0.0:8009-10) FINISH, GetExistingStorageDomainListQuery, log id: 338
d8a39
2012-06-27 22:04:52,177 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetStorageDomainsListVDSCommand] (ajp-/0.0.0.0:8009-2) [7973650d] START, HSMGetStorageDomainsListVDSC
ommand(vdsId = 1d1d51f4-bee2-11e1-a36f-001a4a16970e, storagePoolId=00000000-0000-0000-0000-000000000000, storageType=NFS, storageDomainType=ISO, path=), log id: 749525e
2012-06-27 22:04:53,940 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetStorageDomainsListVDSCommand] (ajp-/0.0.0.0:8009-2) [7973650d] FINISH, HSMGetStorageDomainsListVDS
Command, return: [2612f0b2-8310-4d1f-adba-b708eb95f5cf], log id: 749525e
2012-06-27 22:04:53,942 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetStorageDomainInfoVDSCommand] (ajp-/0.0.0.0:8009-2) [7973650d] START, HSMGetStorageDomainInfoVDSCom
mand(vdsId = 1d1d51f4-bee2-11e1-a36f-001a4a16970e, storageDomainId=2612f0b2-8310-4d1f-adba-b708eb95f5cf), log id: f2af1ab
2012-06-27 22:04:53,970 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetStorageDomainInfoVDSCommand] (ajp-/0.0.0.0:8009-2) [7973650d] FINISH, HSMGetStorageDomainInfoVDSCo
mmand, return: org.ovirt.engine.core.utils.Pair@cda9de2b, log id: f2af1ab
2012-06-27 22:04:54,012 INFO  [org.ovirt.engine.core.bll.storage.AddExistingNFSStorageDomainCommand] (ajp-/0.0.0.0:8009-2) [7973650d] Running command: AddExistingNFSStorageDomai
nCommand internal: false. Entities affected :  ID: aaa00000-0000-0000-0000-123456789aaa Type: System
2012-06-27 22:04:54,027 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ValidateStorageServerConnectionVDSCommand] (ajp-/0.0.0.0:8009-2) [4da85b9c] START, ValidateStorageServer
ConnectionVDSCommand(vdsId = 1d1d51f4-bee2-11e1-a36f-001a4a16970e, storagePoolId = 00000000-0000-0000-0000-000000000000, storageType = NFS, connectionList = [{ id: 171f6f47-438d
-473f-aabe-4e9c44386ee6, connection: qanashead.qa.lab.tlv.redhat.com:/export/shared_iso_domain };]), log id: 7c04a7a2
2012-06-27 22:04:54,045 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ValidateStorageServerConnectionVDSCommand] (ajp-/0.0.0.0:8009-2) [4da85b9c] FINISH, ValidateStorageServe
rConnectionVDSCommand, return: {171f6f47-438d-473f-aabe-4e9c44386ee6=0}, log id: 7c04a7a2
Comment 1 Itamar Heim 2012-06-27 23:21:16 EDT
if trivial - fix.
if not implemented for iso/export domain code path to begin with, discuss with ayal and cosider showing these in the UI only for data domains.
Comment 2 Oved Ourfali 2012-07-26 08:54:50 EDT
Posted patch:
http://gerrit.ovirt.org/#/c/6618
Comment 3 Oved Ourfali 2012-07-26 09:17:20 EDT
commit: 49b289a669540d4a9c2c7ebdb3298695f1483aac

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=49b289a669540d4a9c2c7ebdb3298695f1483aac
Comment 4 Haim 2012-08-06 09:27:43 EDT
verified on si13, configuration is kept on db, presented in UI (web-admin), and even in mount-point on client (vds):

orion.qa.lab.tlv.redhat.com:/export/hateya/kaka5 on /rhev/data-center/mnt/orion.qa.lab.tlv.redhat.com:_export_hateya_kaka5 type nfs (rw,soft,nosharecache,timeo=250,retrans=4,vers=4,addr=10.35.64.10,clientaddr=10.35.115.11)

Note You need to log in before you can comment on or make changes to this bug.